
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>简介C/C++预处理器的一些工作_C 语言 / iVAN</title>

    <meta name="description" content="简介C/C++预处理器的一些工作_C 语言 多么令人愉快的一个问题啊 就在被带到编译器那里之前,预处理器都会对你的源代码瞧上一瞧, 做一些格式化的工作,并执行任何你在源代码里面留给它来执行的指令. 像什么? 好吧,预处理器的指令就被叫做预处理器指令,而他们都以一个#开头. 像 #include 这样? 正确. 每一个被预处理器遇到的 # 命令都会导致在某种方式上对源代码的修改. 让我们来简单的研究研究它们,然后我们就会之后这背后都是怎么运转的了. #include 包含其他库.类.接口等的头文件.预处理器实际上就只是把整个头文件复制到你的">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">简介C/C++预处理器的一些工作_C 语言</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>多么令人愉快的一个问题啊</p>
<p>就在被带到编译器那里之前，预处理器都会对你的源代码瞧上一瞧, 做一些格式化的工作，并执行任何你在源代码里面留给它来执行的指令.</p>
<p>像什么?</p>
<p>好吧，预处理器的指令就被叫做预处理器指令，而他们都以一个#开头.</p>
<p>像 #include 这样?</p>
<p>正确.</p>
<p>每一个被预处理器遇到的 # 命令都会导致在某种方式上对源代码的修改. 让我们来简单的研究研究它们，然后我们就会之后这背后都是怎么运转的了.</p>
<p><strong>#include</strong></p>
<p>包含其他库、类、接口等的头文件。预处理器实际上就只是把整个头文件复制到你的源代码里面 (是的，这就是包含防御之所以是件好事的原因了).<br /><strong>#define</strong></p>
<p>谁会不喜欢宏呢! 预处理器会把所有定义的实体替换成被定义的代码. 定义会一直持续直到发现这个定义的 #undef 指令.<br /><strong>#ifdef</strong></p>
<p>条件行为告诉预处理器包含在遇到声明的条件成立的条件块中的代码. 你可以就像if-else语句一样使用它们，从这里面选择: #ifdef, #ifndef, #if, #else, 以及 #elif, 而你总是要使用一个 #endif 作为结束。</p>
<p><strong>#error #warning</strong></p>
<p>用来向用户发送消息。预处理器会在 #error 处, 而不会在 #warning 处停下来. 两种情况下他都会发送他在指令背后（的括号里面）发现的字符串, 发送到屏幕作为输出，因此它是一种确保针对你的平台一切OK的手动方式.<br /><strong>#line</strong></p>
<p>用来在你遇到编译错误时修改显示的错误行号和文件名. 例如，加入你需要查看一个来自编译的中间文件的源文件（可能是自动生成的).<br /><strong>#pragma</strong></p>
<p>其它由编译器解释的特殊指令。你的编译器文档会告诉你指令是怎么用的，而你不要假定他们在全世界都通用哦.</p>
<p><strong>#assert #unassert</strong></p>
<p>这些在老程序里面总是特别受欢迎的 (好吧，只要我也曾经为这样一个程序工作过), 但是它们在现在已经过时了。强烈建议不使用它们，这意味着不要把他们放到新的代码里面<br />
预定义宏</p>
<p>有许多可以利用的预定义宏:</p>
<p>__FILE__ 给出一个字符串的文件名<br />
__LINE__  给出当前的行号（整型）<br />
__DATE__ 当前编译日期的字符串<br />
__TIME__ 当前编译时间的字符串<br />
__STDC__ 同编译器相关的，但常常被定义成1，以声明同ISO C标准兼容.<br />
__cplusplus 在编译一个C++程序是总是会被定义</p>
<p>特别是开头两个在调试时真的非常有用。只要拿出它们俩，不用你自己编写文件和行处理类，就能神奇的让你获得丰富的信息输出.</p>
<p>你的编译器可能还支持其它的宏，例如，你这从 这里 获得（面向GCC）的整个宏清单.<br />
那么当你运行预处理器时实际会发生什么呢?</p>
<p>    1. 替换所有的三字母组合，我会在将来的一篇文章中谈论到他，因为尽管他只是一个历史上的特性（而且你也要在GCC中对它进行切换），它仍让是很有趣的.</p>
<p>    2. 将并列的源代码分成多行.</p>
<p>    3. 移除所有的注释并用一个空格替换.</p>
<p>    4. 处理（我们上面讲到的）的预处理器指令。对于 #include, 他会在新文件上递归执行1 - 3步 :-)</p>
<p>    5. 处理转义序列.</p>
<p>    6. 把文件发送给编译器</p>
<p>如果你想看看预处理之后你的文件会是什么样子 (谁不想呢?)，你可以向 gcc 传入 -E 选项. 这将会想stdout标准输出发送预处理过的源代码，并且没有编译和连接就直接终止gcc命令的执行。</p>
<p>例如<br />
 </p>
<pre>
g++ -E myfile.cpp
</pre>
<p>你也可以使用这个参数:<br />
 </p>
<pre>
-save-temps
</pre>
<p>编译的后会有一份临时文件。</p>
<p>拿下面这个简单的程序说吧:<br />
 </p>
<pre>
#include &lt;stdio.h&gt;

#define ONE 1
#define TWO 2

int main()
{
  printf("%d, %d\n", ONE, TWO);
  return 0;
}
</pre>
<p>用下面这行命令编译<br />
 </p>
<pre>
g++ hello.cpp -save-temps
</pre>
<p>编译完后, 会在文件夹中生成两个文件: hello.s 和 hello.ii</p>
<p>hello.s 里面是汇编代码,  而 hello.ii 则是预处理过后的源代码。</p>
<p>用文本编辑器打开 hello.ii , 你会发现多出许多代码. 那是因为 #include 指令把 stdio 头文件的代码加进去了。</p>
<p>如果你把滚动条拉到最底下, 就会发现, printf  那一行的宏定义 ONE 和 TWO 已经被预处理器替换成 1 和 2 了 .</p>
<p>神奇吧!</p>
<p>其实它只是在编译的时候, 把你的源代码文件复制一份, 当作临时文件, 然后把里面的预处理指令替换掉. 用完后就把这个临时文件删了. 所以一般情况下我们不知道这个文件的存在.</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索c++<br />
                    ，                c<br />
                                    预处理器<br />
                                    c语言预处理、c语言预处理命令、css预处理语言、r语言数据预处理、预处理语言，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-23 08:32:35</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e9%a2%84%e5%a4%84%e7%90%86%e5%99%a8/" title="预处理器">预处理器</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>简介C/C++预处理器的一些工作_C 语言的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8AKoZz.html" rel="bookmark">详解C语言编程中预处理器的用法&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				预处理最大的标志便是大写,虽然这不是标准,但请你在使用的时候大写,为了自己,也为了后人. 预处理器在一般看来,用得最多的还是宏,这里总结一下预处理器的用法. #include &lt;stdio.h&gt; #define MACRO_OF_MINE #ifdef MACRO_OF_MINE #else #endif 上述五个预处理是最常看见的,第一个代表着包含一个头文件,可以理解为没有它很多功能都无法使用,例如C语言并没有把输入输入纳入标准当中,而是使用库函数来提供,所以只有包含了stdio.h这个头文			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7Zj1qp.html" rel="bookmark">CSS 和 CSS 预处理器简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				CSS 和 CSS 预处理器简介 我已经想了很多关于自己编写的CSS,其当前的状态和这么多年来是如何改变的. 我通常在开始做一个新项目的时候都会使用自己的框架Motherplate.它使用了Sass和Compass.大部分的类名最初都没有基于任何其他的框架.也不是故意这么做的. 现在,我认识的大多数开发人员都在使用Bootstrap.如果一个朋友要启动一个新项目,得到一些应用程序上的帮助,我通常会建议他们使用Bootstrap框架.这样做是有一定道理的,特别是他们的原型和版本都还是0的时候,使用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2pLY7Zz.html" rel="bookmark">学习CSS预处理器&colon;Sass和less进行对比</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章简介:使用Css预处理器唯一真正需要学习的只有语法,SASS是Ruby语言写的,但是两者的语法没有关系.不懂Ruby,照样可以使用.你需要的只是一个像CudeKit的应用来观察和编译你所撰写的文件. Less就更不用了,只需要调用一个js即可(在客户端运行),或者借助Node.js(服务器运行 什么是CSS预处理器? Css可以让你做很多事情,但它毕竟是给浏览器认的东西,对开发者来说,Css缺乏很多特性,例如变量.常量以及一些编程语法,代码难易组织和维护.这时Css预处理器就应运而生了.Cs			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/wzVXVlM.html" rel="bookmark">什么是 CSS 预处理器？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				就CSS本身而言,对于大多数Web前端从业人员来说就不是问题.学过CSS的人都知道,它不是一种编程语言.你可以用它开发网页样式,但是没法用它编程.换句话说,CSS基本上是设计师的工具,不是程序员的工具.在程序员的眼里,CSS是很头痛的事情,它并不像其它程序语言,比如说PHP.Javascript等等,有自己的变量.常量.条件语句以及一些编程语法,只是一行行单纯的属性描述,写起来相当的费事,而且代码难易组织和维护. 很自然的,有人就开始在想,能不能给CSS像其他程序语言一样,加入一些编程元素,让C			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMqDLGb.html" rel="bookmark">CSS预处理器语言sass语法&colon;学习sass语法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章简介:其实现在的Sass已经有了两套语法规则:一个依旧是用缩进作为分隔符来区分代码块的:另一套规则和CSS一样采用了大括号({})作为分隔符.后一种语法规则又名SCSS,在Sass3之后的版本都支持这种语法规则.我们这里讨论的如无特殊说明,全指scss. 什么是sass? Sass是是一种基于ruby编写的CSS预处理器,诞生于2007年,是最早也是最成熟的一款CSS预处理器语言,它可以使用变量.嵌套.混入.继承,运算,函数等功能,使得CSS的开发,变得简单清晰可维护,同时也大大节省了设计者			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvnrxaM.html" rel="bookmark">详解C&sol;C&plus;&plus;预处理器 &period;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				C/C++编译系统编译程序的过程为预处理.编译.链接.预处理器是在程序源文件被编译之前根据预处理指令对程序源文件进行处理的程序.预处理器指令以#号开头标识,末尾不包含分号.预处理命令不是C/C++语言本身的组成部分,不能直接对它们进行编译和链接.C/C++语言的一个重要功能是可以使用预处理指令和具有预处理的功能.C/C++提供的预处理功能主要有文件包含.宏替换.条件编译等.        1.文件包含       预处理指令#include用于包含头文件,有两种形式:#include &lt;xxx.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bB2XZAb.html" rel="bookmark">C&num;预处理器指令和字符串处理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.C# 预处理器指令 在C#编程过程中,如果文件中的代码太长那么就不便于阅读,为此,采用C# 预处理器指令#region来处理代码.#region 是 C# 预处理器指令.#region 是一个分块预处理命令,它主要是用于编辑器代码的分块,在编译时会被自动删除. #region 使程序员可以在使用 Visual Studio 代码编辑器的大纲显示功能时指定可展开或折叠的代码.使用#region和#endregion,将代码写在两者之间就可以了.   public void Insert(str			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlRXlLz.html" rel="bookmark">C&num;预处理器指令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				C#有许多名为预处理器指令的命令.这些命令从来不会被翻译为可执行代码中的命令,但会影响编译过程的各个方面.例如,预处理器可禁止编译器编译代码的某一部分.如果计划发布两个版本的代码,比如基本版本和企业版本,或者针对不同的.NET Framework版本进行编码,就可以使用这些指令.在Anthem.NET的代码中我们经常可以看到这种用法. 预处理器指令的开头都有符号#. 注意: C#中并没有一个像C++那样的独立预处理器,所谓的预处理器指令仍由编译器处理. 下面将对这些指令逐一介绍. 1. #def			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnYqQ0M.html" rel="bookmark">nasm预处理器&lpar;3&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				nasm提供一个限定符.nolist,可以包含它到一个宏定义中,这样该宏就不会在列表文件中被展开:限定符 .nolist直接放到参数后面: %macro foo 1.nolist 条件汇编 和C预处理器类似,nasm允许对一段源代码只在某特定条件满足时进行汇编: %if&lt;condition&gt; %elif&lt;condition2&gt; %else %endif %ifdef和 %ifndef 测试单行宏是否存在,在分支测试中也有类似的%elifdef和%elifndef %ifmacro测			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyKEEz.html" rel="bookmark" class="title">php实现动态随机验证码机制</a>
					<div>
						  验证码(CAPTCHA)是&quot;Completely Automated Public Turing test to tell Computers and Humans Apart&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwPdmb.html" rel="bookmark" class="title">给IIS Web服务器装上一把锁 上</a>
					<div>
						iis|web|web服务|web服务器 为了提高IIS的安全性,微软提供了两个工具:IIS Lockdown和URLScan,其中IIS Lockdown 2.1包含了URLScan.IIS Loc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2n3Bb.html" rel="bookmark" class="title">如何成为一名成功网商</a>
					<div>
						每一家网商或想要成为网商的人,首先要明确的是: (1)我们为什么要做网商?明了选择网络营销的意图. (2)我们通过网络[电子商铺.博客等]想营销什么样的产品(或服务). (3)我们的营销或产品特色是什 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8B6Vb.html" rel="bookmark" class="title">Oracle密码文件的创建、使用和维护</a>
					<div>
						oracle|创建 在Oracle数据库系统中,用户如果要以特权用户身份(INTERNAL/SYSDBA/SYSOPER)登录Oracle数据库可以有两种身份验证的方法:即使用与操作系统集成的身份验证 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzV5Bnp.html" rel="bookmark" class="title">不要耍流氓 SEO优化最终的目标并非网站排名</a>
					<div>
						近几年来,随着互联网的普及,同时SEO入级门槛之低,越来越多的朋友进入网络希望可以在这里实现自己的创业梦.然而进入网络后,不管是企业还是个人,建站创业必定会使用一种方法,那就是实行SEO优化,同时也正 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5nlDz.html" rel="bookmark" class="title">Vsftpd的安全配置案例分析</a>
					<div>
						案例一 配置ftp服务器,要求如下, 1.匿名用户只能下载,匿名用户的根目录为/var/abc/,要求用户在该虚拟机上新增虚拟磁盘(30G),对磁盘进行分区,新增磁盘的第一个分区(10G)格式化为EX ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1X1Az.html" rel="bookmark" class="title">如何用Kiji构建实时和个性化的推荐系统</a>
					<div>
						现在网上到处都有推荐.亚马逊等主流电子商务网站根据它们的页面属性以各种形式向用户推荐产品.Mint.com之类的财务规划网站为用户提供很多建议,比如向用户推荐他们可能想要办理的信用卡,可以提供更好利率 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1ym7z.html" rel="bookmark" class="title">设置mysql允许外网访问</a>
					<div>
						  root默认是不支持远程登录的,用外网连接你必须给权限呢?GRANT ALL PRIVILEGES ON *.* TO'username'@' %' IDENTIFIED BY 'password ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myrx3dp.html" rel="bookmark" class="title">excel2010双击有什么作用？</a>
					<div>
						excel2010双击有什么作用?   excel2010双击 1. 巧分窗口 如果仔细观察可能会发现,在Excel垂直滚动条上方与带黑三角形按钮相邻的地方,有一个折叠起来的按钮,双击(以下双击均指双 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72Ogrp.html" rel="bookmark" class="title">软件开发-JAVA在下载的时候报错&comma;各位大神路过顺便帮忙看下吧</a>
					<div>
						问题描述 JAVA在下载的时候报错,各位大神路过顺便帮忙看下吧 ClientAbortException: java.io.IOException at org.apache.catalina.con ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVw6dlb.html" rel="bookmark" class="title">监听文件修改，自动加载xml文件。</a>
					<div>
						转载文章,转载自,公司项目,董亚杰写的. 下面是完整的代码,复制的. package cn.digitalpublishing.util.debug; import java.io.File; imp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YwEZM.html" rel="bookmark" class="title">com组件-利用微软的COM组件mstscax&period;dll实现远程桌面，在连接空密码的账户时，会出现用户选择界面。</a>
					<div>
						问题描述 利用微软的COM组件mstscax.dll实现远程桌面,在连接空密码的账户时,会出现用户选择界面. 利用微软的COM组件mstscax.dll实现远程桌面,在连接空密码的账户时,会出现用户选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6m66M.html" rel="bookmark" class="title">产品经理怎么做市场调研和数据分析</a>
					<div>
						产品经理对用户的需求了解有多少呢?你知道用户需要的是什么样的产品吗?你想知道用户将会如何看待你的产品吗?你想知道你设计的产品在用户中的看来是好还是差吗? 毫无疑问的是,每一个产品经理都希望在产品开始立 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYWVOp.html" rel="bookmark" class="title">DB账号防泄密，请立刻为数据库加把锁！&lpar;附演示视频&rpar;</a>
					<div>
						作者介绍 贺春旸,普惠金融MySQL专家,&lt;MySQL管理之道&gt;第一版.第二版作者.曾任职于中国移动飞信.机锋安卓市场,拥有丰富的数据库管理经验.目前致力于MySQL.Linux等开源技术 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXDoyz.html" rel="bookmark" class="title">少年，敢来挑战双11万亿级消息引擎吗？</a>
					<div>
						世界级的挑战舞台, 业界顶级评委阵容, 无以伦比的成长挑战, 30万丰厚大奖和西行游学, 统统准备就绪, 只待有志之士! 第三届阿里中间件性能挑战赛正式启动! 勇敢的少年,你敢来&quot;挑战双11 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqReZRp.html" rel="bookmark" class="title">该怎么办？精心选择的密码仍然受到攻击</a>
					<div>
						本文讲的是 :  该怎么办?精心选择的密码仍然受到攻击  , [IT168 编译]虽然容易被猜到的密码造成的攻击事件经常会出现在媒体的头条新闻,其实现在的密码破解系统已经非常高级,甚至能够破解看似复杂 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myd6G4b.html" rel="bookmark" class="title">datagridview单元格的背景颜色如何设置</a>
					<div>
						问题描述 想让单元格的前四行未一个颜色比如蓝色,接下来四行为另一个颜色比如白色,再接下来四行又为蓝色,循环.就是想让四行四行的区分开 解决方案 解决方案二:重绘单元格---解决方案三:能不能具体一下? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXq3vAz.html" rel="bookmark" class="title">理大师CEO薛希鹏&colon;最好的推拿给最好的你</a>
					<div>
						本文讲的是 :   理大师CEO薛希鹏:最好的推拿给最好的你 , [IT168 案例]移动医疗的发展是伴随着技术的革新而来的.而随着移动互联网的高速发展,技术的变革深刻地改变了现实的生活.医疗这一大而 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdymwXz.html" rel="bookmark" class="title">Linux下如何过滤、分割以及合并 pcap 文件</a>
					<div>
						Linux下如何过滤.分割以及合并 pcap 文件 如果你是一个测试入侵侦测系统或一些网络访问控制策略的网络管理员,那么你经常需要抓取数据包并在离线状态下分析这些文件.当需要保存捕获的数据包时,我们一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mye2DkM.html" rel="bookmark" class="title">芯片业遭双重打击：经济低迷技术难突破</a>
					<div>
						晶片制造商正面临经济低迷和技术难有突破的双重打击.高通(Qualcomm)等公司的营收连续第二年下滑.虽说在全球经济动荡背景下买家捂紧荷包是原因之一,但晶片行业自身也缺乏优秀产品. 半导体业务一直具有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12odjp.html" rel="bookmark" class="title">P2P网贷平台去担保或成监管重点</a>
					<div>
						最近,关于网贷平台今后上线项目不能提供担保的讨论在业内甚嚣尘上,不同观点.思想激烈碰撞.有的认为,应该理解为是平台自身不能提供担保,而有的却表示,银监会的意思应该理解为是不能提供有担保的产品.&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GaYWp.html" rel="bookmark" class="title">Python模拟登录12306的方法&lowbar;python</a>
					<div>
						本文实例讲述了Python模拟登录12306的方法.分享给大家供大家参考. 具体实现方法如下: 复制代码 代码如下: #!/usr/bin/python # -*- coding: utf-8 -*- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYjvrb.html" rel="bookmark" class="title">jquery中ajax在IE下无效问题解决方法</a>
					<div>
						用jquery发送ajax请求,在谷歌浏览器下正常,但是在IE下却失效,一开始的代码是这样的:  代码如下 复制代码 &lt;script type=&quot;text/javascript&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjom58M.html" rel="bookmark" class="title">【AIX 命令学习】errpt 命令参数使用！</a>
					<div>
						el_sequence 错误记录戳记编号 el_label 错误标签 el_timestamp 错误日志记录的时间戳记 el_crcid 唯一的循环冗余检验(CRC)的错误标识符 el_machine ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlAg9qp.html" rel="bookmark" class="title">如何用elipse软件实现数据可视化</a>
					<div>
						问题描述 如何用elipse软件实现数据可视化 如何用elipse软件实现数据可视化 ......................................................... ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk7a77p.html" rel="bookmark" class="title">北辰实业12&period;56亿北京拿地</a>
					<div>
						北辰实业(601588.SH)今日发布公告称,公司近日通过招标方式,以12.56亿元获得北京顺义区一块总面积为10.48万平方米土地的使用权. 该宗地位于北京市顺义区马坡镇,该项目总土地面积10.48 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJemGDp.html" rel="bookmark" class="title">互联网&plus;教育新星&colon;作业盒子让作业更轻松</a>
					<div>
						本文讲的是互联网+教育新星:作业盒子让作业更轻松,9月6日消息,专注于K12领域的移动互联网教育公司作业盒子.中央电化教育馆及北京.黑龙江.浙江等十余省市教育信息化主管部门领导,在北京第二十二中学共同 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9NQn4p.html" rel="bookmark" class="title">oracle同时读取clob字段和其他字段的sql语句问题</a>
					<div>
						问题描述 我想用下面的sql语句SELECTDISTINCTnvl(material_code,'$')ASmaterial_code,nvl(material_desc,'$')ASmaterial ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyKo9Jz.html" rel="bookmark" class="title">EJB  session bean问题</a>
					<div>
						问题描述 Whichofthefollowingstatementsregardingthelifecycleofasessionbeanarecorrect? 1.java.lang.Illegal ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zenXqNb.html" rel="bookmark" class="title">&lbrack;LeetCode&rsqb; Factorial Trailing Zeroes</a>
					<div>
						Given an integer n, return the number of trailing zeroes in n!. Note: Your solution should be in log ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
